# setParentFactory abstract method

void setParentFactory(

1. PodFactory? parentFactory

)

Sets the parent factory for this hierarchical factory.

## Usage Example:

    final childFactory = JetleafPodFactory();
    childFactory.setParentFactory(parentFactory);

@param parentFactory The parent factory to set, or null to remove parent

## Implementation

    void setParentFactory(PodFactory? parentFactory);